Status: Closed   

Priority: Normal   

Category:    

Customer: AUDI Product Issue

Numbers:

https://www.cip.audi.de/jira/browse/ACO

RE-10072

Department: AST Affected Products: ADTF 3.5.0

Requester's Priority: Normal Platform: Windows 10 64bit, Windows 7 64bit

Support Level: 2nd Level Topic: ADTF::Python

Resolution: Solved Issue FAQ Links:  

Description

Support Anfrage:

As we are going to setup a new Tooling for our new Project. We have some doubt related supporting python version for ADTF.

In our project we are using Sand boxing for ADTF Config, sometimes we find some difficulties to execute the Config as Python

version not supports.

I have find the info about ADTF 2.14 and required Python version but have not find any info related ADTF 3.

 https://support.digitalwerk.net/adtf/v2/adtf_sdk_html_docs/page_python_support.html

Can you please provide me information related to it.

Thanks,

Kush

Lösung:

Since ADTF 3.x is not just a new major version but instead a complete new software, there is no required or directly supported

Python version.

ADTF 3.x uses RPC (remote procedure call).

Please have a look to the ADTF 3 Doku for more information.

But there are some example scripts, even with Python, that may help you.

You can find them in your ADTF 3.x installation folder at:

<adtf_install_folder>\src\examples\scripts

There are no restrictions using Python with ADTF 3.x.

There is no Python Support Service or a Filter inside ADTF which requires a specific Python version, you can use a pathon script to

control ADTF via RPC.

History

#1 - 2019-07-12 08:43 - hidden

- Project changed from Public Support to 11

- Status changed from New to In Progress

- Topic set to ADTF::Python

- Affected Products ADTF 3.5.0 added

#2 - 2019-07-12 11:45 - hidden

- Status changed from In Progress to Customer Feedback Required

Hello Kush,

since ADTF 3.x is not just a new major version but instead a complete new software, there is no required or directly supported Python version.

ADTF 3.x uses RPC (remote procedure call).

Please have a look to the ADTF 3 Doku for more information.
https://support.digitalwerk.net/adtf/v2/adtf_sdk_html_docs/page_python_support.html
https://support.digitalwerk.net/adtf/v3/adtf_html/mainpage_rpc_pkg.html
https://support.digitalwerk.net/adtf/v3/adtf_html/mainpage_rpc_pkg.html


But there are some example scripts, even with Python, that may help you.

You can find them in your ADTF 3.x installation folder at:

<adtf_install_folder>\src\examples\scripts

Does this help you?

#3 - 2019-07-16 08:16 - hidden

Additional:

There are no restrictions using Python with ADTF 3.x.

There is no Python Support Service or a Filter inside ADTF which requires a specific Python version, as Matthias already mentioned, you can use a

pathon script to control ADTF via RPC.

#4 - 2019-07-17 11:35 - hidden

Hello Kush,

we haven't received any feedback yet.

Can the ticket be closed?

Please give us a feedback until 19.07.2019

Thank you

#5 - 2019-07-17 14:43 - hidden

Hello Matthias,

Yes, Ticket can be closed. Thanks for support and answer of my query.

BR,

Kush

#6 - 2019-07-18 12:45 - hidden

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to Solved Issue

#7 - 2019-07-18 12:46 - hidden

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-10072

#8 - 2020-07-07 11:35 - hidden

- Project changed from 11 to Public Support

- Private changed from Yes to No

#9 - 2020-07-07 12:44 - hidden

- Status changed from To Be Closed to Closed
